| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::BookmarksMenu Class Reference

Menu that is dynamically populated from the bookmarks.

Inheritance diagram for Digikam::BookmarksMenu:

## Signals
void | openUrl (const QUrl &url)
Signals inherited from Digikam::ModelMenu
void | activated (const QModelIndex &index)
void | hoveredText (const QString &text)

## Public Member Functions
| BookmarksMenu (BookmarksManager *const mngr, QWidget *const parent=nullptr)
void | setInitialActions (const QList< QAction * > &actions)
Public Member Functions inherited from Digikam::ModelMenu
| ModelMenu (QWidget *const parent=nullptr)
int | firstSeparator () const
int | hoverRole () const
QAction * | makeAction (const QIcon &icon, const QString &text, QObject *const parent)
int | maxRows () const
QAbstractItemModel * | model () const
QModelIndex | rootIndex () const
int | separatorRole () const
void | setFirstSeparator (int offset)
void | setHoverRole (int role)
void | setMaxRows (int max)
void | setModel (QAbstractItemModel *model)
void | setRootIndex (const QModelIndex &index)
void | setSeparatorRole (int role)

## Protected Member Functions
bool | prePopulated () override
| add any actions before the tree, return true if any actions are added.
Protected Member Functions inherited from Digikam::ModelMenu
void | createMenu (const QModelIndex &parent, int max, QMenu *parentMenu=nullptr, QMenu *menu=nullptr)
| put all of the children of parent into menu up to max
virtual void | postPopulated ()
| add any actions after the tree

## Member Function Documentation

## ◆ prePopulated()

bool Digikam::BookmarksMenu::prePopulated | ( |  | ) |
| override protected virtual

Reimplemented from Digikam::ModelMenu.